=== debian/changelog ===
plfit (0.9.3+ds-1ubuntu1) jammy; urgency=medium

  * use 64bit long double on s390x (LP: #1962311) 

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Fri, 25 Feb 2022 14:48:50 +0100

plfit (0.9.3+ds-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 as default version

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 13 Jan 2022 20:16:01 +0000

plfit (0.9.3+ds-1) unstable; urgency=medium

  * New upstrean nano release.
  * Debianization:
    - d/copyright:
      - Files-Excluded list, update;
    - d/patches/*:
      - d/debianization-tests.patch, partially integrated;
    - d/libplfit-dev.install, refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Wed, 29 Dec 2021 14:06:29 +0000

plfit (0.9.1+ds-1) unstable; urgency=medium

  * New upstream nano release.
  * Debianization:
    - d/patches/*:
      - d/p/upstream-typo-cmake-project-C_only.patch, integrated;
      - d/p/debianization-tests.patch, update.

 -- Jerome Benoit <calculus@rezozer.net>  Mon, 13 Dec 2021 14:42:06 +0000

plfit (0.9.0+ds-2) unstable; urgency=medium

  * Debianization:
    - d/patches/*:
      - d/p/debianization.patch, specify Python version;
      - d/p/debianization-tests.patch, now just shorten the Python test;
    - d/rules, aesthetic change.

 -- Jerome Benoit <calculus@rezozer.net>  Tue, 16 Nov 2021 14:07:40 +0000

plfit (0.9.0+ds-1) unstable; urgency=medium

  * Upload to unstable.
  * New minor upstream release.
  * Debianization:
    - d/copyright:
      - Files-Excluded list, adapt;
    - d/control:
      - Standards Version, bump to 4.6.0 (no change);
    - d/patches/*:
       - d/p/upstream-{fix,harden,enhance,silence}-*.patch, integrated;
       - d/p/upstream-typo-cmake-project-C_only.patch, refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Thu, 11 Nov 2021 15:34:00 +0000

plfit (0.8.2+ds-1) experimental; urgency=medium

  * Initial release. (Closes: #987559)

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 16 Jul 2021 16:09:15 +0000
