=== debian/control ===
Source: plfit
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSCB-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jerome Benoit <calculus@rezozer.net>
Section: math
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-dev,
 cmake,
 swig
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/science-team/plfit
Vcs-Git: https://salsa.debian.org/science-team/plfit.git
Homepage: https://github.com/ntamas/plfit
Rules-Requires-Root: no

Package: libplfit0
Provides: libplfit
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libplfit
Suggests: plfit (=${binary:Version}), plfit-doc
Multi-Arch: same
Description: fitting power-law distributions to empirical data -- library
 The plfit software fits power-law distributions to empirical (discrete or
 continuous) data, according to the method of Clauset, Shalizi and Newman
 [SIAM Review 51, 661-703 (2009)].
 .
 This package provides the shared library required to run programs
 compiled against the plfit library. To compile your own programs you
 also need to install the libplfit-dev package.

Package: plfit
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: libplfit0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Suggests: plfit-doc
Description: fitting power-law distributions to empirical data -- interfaces
 The plfit software fits power-law distributions to empirical (discrete or
 continuous) data, according to the method of Clauset, Shalizi and Newman
 [SIAM Review 51, 661-703 (2009)].
 .
 This package provides two command line utilities, plfit and plgen.

Package: python3-plfit
Section: python
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Provides: ${python3:Provides}
Description: fitting power-law distributions to empirical data -- Python
 The plfit software fits power-law distributions to empirical (discrete or
 continuous) data, according to the method of Clauset, Shalizi and Newman
 [SIAM Review 51, 661-703 (2009)].
 .
 This package provides a Python module.

Package: libplfit-dev
Section: libdevel
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: libplfit0 (= ${binary:Version}), ${misc:Depends}
Suggests: plfit-doc
Multi-Arch: same
Description: fitting power-law distributions to empirical data -- development
 The plfit software fits power-law distributions to empirical (discrete or
 continuous) data, according to the method of Clauset, Shalizi and Newman
 [SIAM Review 51, 661-703 (2009)].
 .
 This package contains the header files, static libraries and symbolic
 links that developers using the plfit library will need.

Package: plfit-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Enhances: plfit (= ${binary:Version}), libplfit-dev (= ${binary:Version}), python3-plfit (= ${binary:Version})
Multi-Arch: foreign
Description: fitting power-law distributions to empirical data -- doc
 The plfit software fits power-law distributions to empirical (discrete or
 continuous) data, according to the method of Clauset, Shalizi and Newman
 [SIAM Review 51, 661-703 (2009)].
 .
 This package provides examples and data samples.
