=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

BUILDIR_STATIC=_BUILD_STATIC
BUILDIR_SHARED=_BUILD_SHARED

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH 2>/dev/null)
ifneq (,$(filter s390x,$(DEB_HOST_ARCH)))
export DEB_CFLAGS_APPEND = -mlong-double-64
endif

%:
	dh $@ --buildsystem=cmake --with python3 --builddirectory=$(BUILDIR_SHARED)

CONF_FLAGS=

override_dh_auto_configure:
	dh_auto_configure -B$(BUILDIR_SHARED) -- -DBUILD_SHARED_LIBS=ON  -DPLFIT_COMPILE_PYTHON_MODULE=ON  $(CONF_FLAGS)
	dh_auto_configure -B$(BUILDIR_STATIC) -- -DBUILD_SHARED_LIBS=OFF -DPLFIT_COMPILE_PYTHON_MODULE=OFF $(CONF_FLAGS)

override_dh_auto_build-arch:
	dh_auto_build -a -B$(BUILDIR_STATIC)
	dh_auto_build -a -B$(BUILDIR_SHARED)

override_dh_auto_install-arch:
	dh_auto_install -a -B$(BUILDIR_STATIC)
	dh_auto_install -a -B$(BUILDIR_SHARED)

UPS_LISTOF_PRIVATE_EXAMPLE := test_gss.c test_kolmogorov.c
DEB_DH_INSTALL_INDEP_XLIST := $(UPS_LISTOF_PRIVATE_EXAMPLE)
override_dh_install-indep:
	dh_install -i $(addprefix -X,$(DEB_DH_INSTALL_INDEP_XLIST))

override_dh_auto_clean:
	dh_auto_clean
	rm -rf $(BUILDIR_SHARED) $(BUILDIR_STATIC)
