=== debian/watch ===
version=4
opts="repacksuffix=+ds,dversionmangle=s/\+ds[\d]?//,repack,compression=xz" \
  https://github.com/ntamas/plfit/tags .*/v?(\d\S+)\.tar\.gz
