## plfit 0.9.4+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 project(
   plfit
-  VERSION 0.9.3
+  VERSION 0.9.4
   DESCRIPTION "Library to fit power-law distributions to empirical data"
   HOMEPAGE_URL "https://github.com/ntamas/plfit"
   LANGUAGES C
@@ -27,6 +27,7 @@
 # Add switches to use LTO and sanitizers if needed
 include(lto)
 include(sanitizers)
+include(JoinPaths)
 
 option(PLFIT_COMPILE_PYTHON_MODULE
        "Whether we want to compile the Python module (requires SWIG)"
