=== test/CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 add_definitions(-DDATADIR=\"${CMAKE_CURRENT_SOURCE_DIR}/../data\")
 
 set(TEST_CASES discrete continuous real sampling underflow_handling xmin_too_low)
-set(TEST_CASES_INTERNAL kolmogorov gss)
+set(TEST_CASES_INTERNAL hzeta kolmogorov gss)
 
 foreach(test ${TEST_CASES})
 	add_executable(test_${test} test_${test}.c test_common.c)
