=== debian/changelog ===
plfit (0.9.4+ds-1ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:38:20 +1100

plfit (0.9.4+ds-1ubuntu3) noble; urgency=medium

  * No-change rebuild for python3.12 t64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 02 Mar 2024 21:14:44 +0100

plfit (0.9.4+ds-1ubuntu2) noble; urgency=medium

  * No-change rebuild with Python 3.12 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 19 Jan 2024 20:38:05 +0000

plfit (0.9.4+ds-1ubuntu1) lunar; urgency=medium

  * Merge with Debian unstable (LP: #2003905). Remaining changes:
    - use 64bit long double on s390x (LP #1962311)

 -- Bryce Harrington <bryce@canonical.com>  Wed, 25 Jan 2023 11:52:07 -0800

plfit (0.9.4+ds-1) unstable; urgency=medium

  * New upstream minor version.
  * Debianization:
    - d/copyright:
      - Files-Excluded list, refresh;
      - copyright year tuples, update;
    - d/rules:
      - UPS_LISTOF_PRIVATE_EXAMPLE list, add test_hzeta.c ;
    - d/control:
      - Standards Version, bump to 4.6.1 (no change);

 -- Jerome Benoit <calculus@rezozer.net>  Mon, 08 Aug 2022 15:46:28 +0000

plfit (0.9.3+ds-1ubuntu2) lunar; urgency=medium

  * No-change rebuild with Python 3.11 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 25 Dec 2022 20:30:49 +0000
