=== debian/rules ===
--- 
+++ 
@@ -29,7 +29,7 @@
 	dh_auto_install -a -B$(BUILDIR_STATIC)
 	dh_auto_install -a -B$(BUILDIR_SHARED)
 
-UPS_LISTOF_PRIVATE_EXAMPLE := test_gss.c test_kolmogorov.c
+UPS_LISTOF_PRIVATE_EXAMPLE := test_gss.c test_hzeta.c test_kolmogorov.c
 DEB_DH_INSTALL_INDEP_XLIST := $(UPS_LISTOF_PRIVATE_EXAMPLE)
 override_dh_install-indep:
 	dh_install -i $(addprefix -X,$(DEB_DH_INSTALL_INDEP_XLIST))
