## plfit 0.9.6+ds

=== debian/changelog ===
plfit (0.9.6+ds-2) unstable; urgency=medium

  * Critical fix release, documentation no more put in root `/`
    (Closes: #1077852).

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 03 Aug 2024 20:49:59 +0000

plfit (0.9.6+ds-1) unstable; urgency=medium

  * New upstream minor version.
  * Debianization:
    - d/p/debianization.patch, refresh;
    - d/plfit-doc.install, add CONTRIBUTORS.txt.

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 15 Mar 2024 09:08:25 +0000

plfit (0.9.5+ds-1) unstable; urgency=medium

  * New upstream minor version.
  * Debianization:
    - d/copyright:
      - Files-Excluded list, refresh;
      - copyright year tuples, update;
    - d/control:
      - Standards Version, bump to 4.6.2 (no change);
    - d/s/lintian-overrides, refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 10 Mar 2024 22:06:24 +0000
