=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: plfit
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Jerome Benoit <calculus@rezozer.net>
 Section: math
 Priority: optional
@@ -10,7 +9,7 @@
  python3-dev,
  cmake,
  swig
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/science-team/plfit
 Vcs-Git: https://salsa.debian.org/science-team/plfit.git
 Homepage: https://github.com/ntamas/plfit
