=== debian/rules ===
--- 
+++ 
@@ -6,11 +6,6 @@
 
 BUILDIR_STATIC=_BUILD_STATIC
 BUILDIR_SHARED=_BUILD_SHARED
-
-DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH 2>/dev/null)
-ifneq (,$(filter s390x,$(DEB_HOST_ARCH)))
-export DEB_CFLAGS_APPEND = -mlong-double-64
-endif
 
 %:
 	dh $@ --buildsystem=cmake --with python3 --builddirectory=$(BUILDIR_SHARED)
